cmake_minimum_required(VERSION 3.8)
cmake_policy(SET CMP0068 NEW)

project(GermanAirlinesVA_GAConnector C CXX)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
set(CMAKE_BUILD_WITH_INSTALL_NAME_DIR TRUE)
set(CMAKE_EXPORT_COMPILE_COMMANDS TRUE)
set(PLUGIN_NAME GAConnector)

option(DEBUG "Debug symbols" OFF)

add_subdirectory(
    ixwebsocket
)
add_subdirectory(
    simdata
)
add_subdirectory(
    file
)
add_subdirectory(
    xplugin
)
